event entity @e[type=item,name="SNDBX XP Orb"] sndbx:transform_to_xp
tp @e[type=sndbx:sentry_gate] 50227 84.9 65 facing 50227 85 61
clear @a sndbx:xp_orb

# sentry boss setup
execute @a[tag=is_in_sentry_arena] ~ ~ ~ scoreboard objectives add sentry_timer dummy "Sentry Timer"
execute @a[tag=is_in_sentry_arena] ~ ~ ~ scoreboard players add @e[type=minecraft:armor_stand,name="aether"] sentry_timer 1
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=1}] ~ ~ ~ structure save sndbx:sentry_main 53043 31 140 53049 40 144 memory
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=1}] ~ ~ ~ structure save sndbx:sentry_arena 53023 31 92 53069 57 145 memory
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=1}] ~ ~ ~ setblock 50227 86 89 air
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=3}] ~ ~ ~ setblock 50227 85 89 air
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=2}] ~ ~ ~ summon sndbx:sentry_col_head 50227 85 89
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=1}] ~ ~ ~ playsound activate.boss_summon @a[tag=is_in_sentry_arena]
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=1}] ~ ~ ~ structure load sndbx:sentry_main 50224 83 112 0_degrees none layer_by_layer 3 false true
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=60}] ~ ~ ~ structure load sndbx:sentry_arena 50204 83 64 0_degrees none layer_by_layer 3 false true
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=100}] ~ ~ ~ execute @a[tag=is_in_sentry_arena] ~ ~ ~ tp 50227 86 109 facing 50227 81 112
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=100..181}] ~ ~ ~ playanimation @a[tag=is_in_sentry_arena] animation.hide.player
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=100}] ~ ~ ~ event entity @e[type=sndbx:sentry_golem] sentry_golem:activate
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=101..180}] ~ ~ ~ execute @a[tag=is_in_sentry_arena] ~ ~ ~ tp 50227 86 109 ~ ~-0.5
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=166}] ~ ~ ~ camerashake add @a[tag=is_in_sentry_arena] 1 0.5
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=105}] ~ ~ ~ execute @e[type=sndbx:sentry_golem] ~ ~ ~ particle sndbx:dust ~2 ~10 ~
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=107}] ~ ~ ~ execute @e[type=sndbx:sentry_golem] ~ ~ ~ particle sndbx:dust ~-2 ~10 ~
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=182}] ~ ~ ~ tp @a[tag=is_in_sentry_arena] 50227 85 89
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=240}] ~ ~ ~ event entity @e[type=sndbx:sentry_gate] close:gate
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=241}] ~ ~ ~ tag @a[tag=is_in_sentry_arena] remove is_in_sentry_arena
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=240}] ~ ~ ~ tag @a[tag=is_in_sentry_arena] add fighting_sentry_boss
execute @e[type=minecraft:armor_stand,name="aether",scores={sentry_timer=241}] ~ ~ ~ scoreboard objectives remove sentry_timer


# spirit boss setup
execute @a[tag=is_in_spirit_arena] ~ ~ ~ scoreboard objectives add spirit_timer dummy "Spirit Timer"
execute @a[tag=is_in_spirit_arena] ~ ~ ~ scoreboard players add @e[type=minecraft:armor_stand,name="aether"] spirit_timer 1
execute @e[scores={spirit_timer=1},type=minecraft:armor_stand,name="aether"] ~ ~ ~ setblock 49999 119 554 sndbx:bluestone_pillarhead
execute @e[scores={spirit_timer=2},type=minecraft:armor_stand,name="aether"] ~ ~ ~ setblock 49999 120 554 soul_sand
execute @e[scores={spirit_timer=3},type=minecraft:armor_stand,name="aether"] ~ ~ ~ summon lightning_bolt 49999 121 554
execute @e[scores={spirit_timer=10},type=minecraft:armor_stand,name="aether"] ~ ~ ~ setblock 50001 118 538 sndbx:bluestone_pillarhead
execute @e[scores={spirit_timer=11},type=minecraft:armor_stand,name="aether"] ~ ~ ~ setblock 50001 119 538 soul_sand
execute @e[scores={spirit_timer=12},type=minecraft:armor_stand,name="aether"] ~ ~ ~ summon lightning_bolt 50001 120 538
execute @e[scores={spirit_timer=20},type=minecraft:armor_stand,name="aether"] ~ ~ ~ setblock 50017 117 538 sndbx:bluestone_pillarhead
execute @e[scores={spirit_timer=21},type=minecraft:armor_stand,name="aether"] ~ ~ ~ setblock 50017 118 538 soul_sand
execute @e[scores={spirit_timer=22},type=minecraft:armor_stand,name="aether"] ~ ~ ~ summon lightning_bolt 50017 119 538
execute @e[scores={spirit_timer=30},type=minecraft:armor_stand,name="aether"] ~ ~ ~ setblock 50018 118 555 sndbx:bluestone_pillarhead
execute @e[scores={spirit_timer=31},type=minecraft:armor_stand,name="aether"] ~ ~ ~ setblock 50018 119 555 soul_sand
execute @e[scores={spirit_timer=32},type=minecraft:armor_stand,name="aether"] ~ ~ ~ summon lightning_bolt 50018 120 555
execute @e[scores={spirit_timer=40},type=minecraft:armor_stand,name="aether"] ~ ~ ~ summon lightning_bolt 50013 118 563
execute @e[scores={spirit_timer=45},type=minecraft:armor_stand,name="aether"] ~ ~ ~ summon lightning_bolt 50005 118 563
execute @e[scores={spirit_timer=50},type=minecraft:armor_stand,name="aether"] ~ ~ ~ summon lightning_bolt 49993 119 547
execute @e[scores={spirit_timer=55},type=minecraft:armor_stand,name="aether"] ~ ~ ~ summon lightning_bolt 50005 118 531
execute @e[scores={spirit_timer=60},type=minecraft:armor_stand,name="aether"] ~ ~ ~ summon lightning_bolt 50013 118 531
execute @e[scores={spirit_timer=65},type=minecraft:armor_stand,name="aether"] ~ ~ ~ summon lightning_bolt 50025 119 547
execute @e[scores={spirit_timer=0..},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50014 118 530 50012 118 532 air 0 replace fire
execute @e[scores={spirit_timer=0..},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50006 118 530 50004 118 532 air 0 replace fire
execute @e[scores={spirit_timer=0..},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 49992 119 546 49994 119 548 air 0 replace fire
execute @e[scores={spirit_timer=0..},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50004 118 562 50006 118 564 air 0 replace fire
execute @e[scores={spirit_timer=0..},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50012 118 562 50014 118 564 air 0 replace fire
execute @e[scores={spirit_timer=0..},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50024 119 548 50026 119 546 air 0 replace fire
execute @e[scores={spirit_timer=90..320},type=minecraft:armor_stand,name="aether"] ~ ~ ~ playanimation @a[tag=is_in_spirit_arena] animation.hide.player
execute @e[scores={spirit_timer=90},type=minecraft:armor_stand,name="aether"] ~ ~ ~ execute @a[tag=is_in_spirit_arena] ~ ~ ~ tp 50009 116 555 facing 50009 113 548
execute @e[scores={spirit_timer=91..200},type=minecraft:armor_stand,name="aether"] ~ ~ ~ execute @a[tag=is_in_spirit_arena] ~ ~ ~ tp 50009 116 555 ~ ~-0.2
execute @e[scores={spirit_timer=201..320},type=minecraft:armor_stand,name="aether"] ~ ~ ~ execute @a[tag=is_in_spirit_arena] ~ ~ ~ tp 50009 116 555 facing 50009 116.05 548
execute @e[scores={spirit_timer=321},type=minecraft:armor_stand,name="aether"] ~ ~ ~ execute @a[tag=is_in_spirit_arena] ~ ~ ~ tp 50009 115 558
execute @e[scores={spirit_timer=330},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 119 574 50008 119 574 iron_bars
execute @e[scores={spirit_timer=335},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 118 574 50008 118 574 iron_bars
execute @e[scores={spirit_timer=340},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 117 574 50008 117 574 iron_bars
execute @e[scores={spirit_timer=345},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 116 574 50008 116 574 iron_bars
execute @e[scores={spirit_timer=350},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 115 574 50008 115 574 iron_bars
execute @e[scores={spirit_timer=330},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 119 520 50008 119 520 iron_bars
execute @e[scores={spirit_timer=335},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 118 520 50008 118 520 iron_bars
execute @e[scores={spirit_timer=340},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 117 520 50008 117 520 iron_bars
execute @e[scores={spirit_timer=345},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 116 520 50008 116 520 iron_bars
execute @e[scores={spirit_timer=350},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 115 520 50008 115 520 iron_bars
execute @e[scores={spirit_timer=351},type=minecraft:armor_stand,name="aether"] ~ ~ ~ tag @a[tag=is_in_spirit_arena] remove is_in_spirit_arena
execute @e[scores={spirit_timer=350},type=minecraft:armor_stand,name="aether"] ~ ~ ~ tag @a[tag=is_in_spirit_arena] add fighting_spirit_boss
execute @e[scores={spirit_timer=351},type=minecraft:armor_stand,name="aether"] ~ ~ ~ scoreboard objectives remove spirit_timer
tp @e[type=sndbx:aether_gate] 50323 100.97 -363

# open doors
execute @e[type=minecraft:armor_stand,name="aether",tag=close_spirit_arena_gate] ~ ~ ~ scoreboard objectives add spdoorclose dummy
execute @e[type=minecraft:armor_stand,name="aether",tag=close_spirit_arena_gate] ~ ~ ~ scoreboard players add @s spdoorclose 1

execute @e[scores={spdoorclose=30},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 119 574 50008 119 574 iron_bars
execute @e[scores={spdoorclose=35},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 118 574 50008 118 574 iron_bars
execute @e[scores={spdoorclose=40},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 117 574 50008 117 574 iron_bars
execute @e[scores={spdoorclose=45},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 116 574 50008 116 574 iron_bars
execute @e[scores={spdoorclose=50},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 115 574 50008 115 574 iron_bars

execute @e[scores={spdoorclose=30},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 119 520 50008 119 520 iron_bars
execute @e[scores={spdoorclose=35},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 118 520 50008 118 520 iron_bars
execute @e[scores={spdoorclose=40},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 117 520 50008 117 520 iron_bars
execute @e[scores={spdoorclose=45},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 116 520 50008 116 520 iron_bars
execute @e[scores={spdoorclose=50},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 115 520 50008 115 520 iron_bars

execute @e[scores={spdoorclose=55},type=minecraft:armor_stand,name="aether"] ~ ~ ~ tag @s remove close_spirit_arena_gate
execute @e[scores={spdoorclose=56},type=minecraft:armor_stand,name="aether"] ~ ~ ~ scoreboard objectives remove spdoorclose

# close doors
execute @e[type=minecraft:armor_stand,name="aether",tag=open_spirit_arena_gate] ~ ~ ~ scoreboard objectives add spdooropen dummy
execute @e[type=minecraft:armor_stand,name="aether",tag=open_spirit_arena_gate] ~ ~ ~ scoreboard players add @s spdooropen 1

execute @e[scores={spdooropen=30},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 115 574 50008 115 574 air
execute @e[scores={spdooropen=35},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 116 574 50008 116 574 air
execute @e[scores={spdooropen=40},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 117 574 50008 117 574 air
execute @e[scores={spdooropen=45},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 118 574 50008 118 574 air
execute @e[scores={spdooropen=50},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 119 574 50008 119 574 air

execute @e[scores={spdooropen=30},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 115 520 50008 115 520 air
execute @e[scores={spdooropen=35},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 116 520 50008 116 520 air
execute @e[scores={spdooropen=40},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 117 520 50008 117 520 air
execute @e[scores={spdooropen=45},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 118 520 50008 118 520 air
execute @e[scores={spdooropen=50},type=minecraft:armor_stand,name="aether"] ~ ~ ~ fill 50010 119 520 50008 119 520 air

execute @e[scores={spdooropen=55},type=minecraft:armor_stand,name="aether"] ~ ~ ~ tag @s remove open_spirit_arena_gate
execute @e[scores={spdooropen=56},type=minecraft:armor_stand,name="aether"] ~ ~ ~ scoreboard objectives remove spdooropen


# slider gates
tp @e[type=sndbx:slider_gate,tag=slider_gate1] 49886 71.95 -32 facing 49890 72 -32
tp @e[type=sndbx:slider_gate,tag=slider_gate2] 49862 71.95 -5 facing 49862 72 -3
tp @e[type=sndbx:slider_gate,tag=slider_gate3] 49828 71.95 -33 facing 49823 72 -33
tp @e[type=sndbx:slider_gate,tag=slider_gate4] 49871 71.95 -74 facing 49871 72 -77

execute @e[type=minecraft:armor_stand,name="aether",tag=setup_slider,tag=!slider_final] ~ ~ ~ scoreboard objectives add slider_timer dummy
execute @e[type=minecraft:armor_stand,name="aether",tag=setup_slider] ~ ~ ~ scoreboard players add @s slider_timer 1
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=80}] ~ ~ ~ summon sndbx:slider 49857 72 -37
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=80}] ~ ~ ~ tag @a[x=49818,y=71,z=-85,dx=78,dy=7,dz=84,tag=!fighting_slider_boss] add fighting_slider_boss
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=81}] ~ ~ ~ playsound mob.slider.idle @a[tag=fighting_slider_boss]
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=81}] ~ ~ ~ tag @s[tag=setup_slider] add slider_final

execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=80}] ~ ~ ~ time add 1000
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=85}] ~ ~ ~ time add 1000
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=90}] ~ ~ ~ time add 1000
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=95}] ~ ~ ~ time add 1000
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=100}] ~ ~ ~ time add 1000
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=105}] ~ ~ ~ time add 1000
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=110}] ~ ~ ~ time add 1000
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=115}] ~ ~ ~ time add 1000
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=120}] ~ ~ ~ time add 1000
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=125}] ~ ~ ~ time add 1000
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=130}] ~ ~ ~ time add 1000
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=135}] ~ ~ ~ time add 1000
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=140}] ~ ~ ~ time add 1000
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=145}] ~ ~ ~ time add 1000
execute @e[type=minecraft:armor_stand,name="aether",scores={slider_timer=150}] ~ ~ ~ scoreboard objectives remove slider_timer
